PERTALIFE - Bug #3189

Penambahan Widget Pada Dashboard
11/04/2024 05:29 PM - Regina Tasya

Status: Closed Start date: 11/04/2024
Priority: Normal Due date: 12/24/2024
Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 15.00 hours
Description

Kaak shofwan.

- ingin bantuannya untuk menambahkan 3 widget pada dashboard :

1. Persentase pada Turn Over

2. Pekerja Berdasarkan Pangkat atau Organisasi

3. Pekerja yang memiliki Sertifikasi

detailnya dapat dilihat pada exel di sheet Dashboard

- Ingin menambahkan periode pada dashboard, periodenya bulan dan tahun
terima kasih

Port: http://remote.minovais.com:61115/

Server: remote.minovais.com,1452
DB: MinovaES_Pertalife_Prod

menu : Business intelligent - dashboard - HR Dashboard

History

#1 - 11/04/2024 05:35 PM - Regina Tasya
- File Brand Guideline PERTALIFE INSURANCE-1.pdf added
- File PERTALIFE Warna Pie Chart (1).pdf added

sebelumnya aku udah lampirin untuk warna utama yang dipakai yang di exel ya kak, ini jika ada yang kurang bisa berdasarkan color difile ini
dan kak untuk yang bentuk pie chart ingin dijadikan dalam tampilan donat ya

#2 - 11/07/2024 09:32 AM - Regina Tasya

ketentuan color :

1. #ed41f2e
2. #acc436
3. #3a6db3
4. #EDFF58
5. #FFD1A1
6. #B57D42
7.#AF42B5
8. #ED73C0

untuk color ingin disamakan kesemua 8 widget chart nya
dan untuk chartnya motif donat sesuai diskusi terakhir

#3 - 11/08/2024 06:09 PM - Regina Tasya

kaakk update terbaru:

1. untuk periode tahun ingin dari tahun pertama pertalife menggunakan aplikasi minova, tahun 2019 hingga seterusnya tidak ada batasan
2.

- widget status karyawan:

permanent = biru tua

contract = hijau

probation = merah
http://remote.minovais.com:61115/

- Widget tingkat pendidikan :
s1 = biru tua

s2 = hijau

diploma = kuning

sma = merah

na = oren

- berdasarkan rentang usia
1 birutua 25-30

2 hijau 31-35

3 merah 36 40

4 biru muda 4145

5 oren 46 50

6 kuning  dibawah 25
7 tosca 55 keatas

8 pink base 51-55
- Pekerja Berdasarkan Rentang Masa Kerja
1birutua 5-10

2 hijau 1-3

3 merah 3-5

4 biru muda dibawah 1 th
5 oren 10-15

6 kuning  15-20

7 tosca diatas 20

- Pekerja Berdasarkan Satuan Kerja
#696c¢ff = biru tua

- Pekerja Berdasarkan Presentase Turnover
#696c¢ff = biru tua

- Pekerja Berdasarkan Sertifikasi

non sertifikat = biru tua

sertifikat = hijau

- Pekerja Berdasarkan Pangkat Atau Organisasi
1 birutua staff

2 hijau departement head

3 merah supervisor

4 biru muda vp

5 oren dan seterusnya jika ada level laiinya
code color:

#696c¢ff = biru tua

#ff4ada = merah

#16b1ff = biru muda

#1dd135 = hijau

#ffb400 = oren

#ffed4a = kuning

#4affc9 = tosca

#f14aff = pink base

3. widget pangkat organisasi, datanya dari karyawan aktif dan payroll group permanent

untuk dashboard semua widget merupakan karyawan aktif dan payroll group permanent

terima kasih
#4 - 11/11/2024 10:33 PM - shofwan shiddiq
- File clipboard-202411112232-kpkkm.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya
= M Master Financial Human Logistic & Business Menu System . .
' . V Search Q . minovais ~

wﬂmplﬂﬂ! Data Aua“ﬂﬂﬂﬂ Resource Service D
Year.| 2024 | Month| November v [EEIEIN
B My Workplace Pekerja Berdasarkan Status Karyawan Pekerja Berdasarkan Tingkat Pendidikan

B Master Data

B Financial Accounting w = AT =
34

@ Human Resource

B Logistic & Service

5814%)

I Statistic

B Menu Development

B System Administration

@ Permanent @ Contract @ Probation Diploma @ Strata1 @@ Strata2 #NA
. Tingkat Pendidikan L P  Precentage (%) Jumlah Total -
No Status Kepegawaian L P  Precentage (%) Jumlah Total
Diploma 5 7 69 % 12

1 Permanent 64 75 799 % 139

Dear Tasya, warna2 udah di samain ya. Untuk yang widgetv presentase turnover desain nya jadinya yg gmn ya

#5 - 11/13/2024 05:20 PM - Regina Tasya

- File clipboard-202411131717-ccj9t.png added
- File clipboard-202411131718-ohinh.png added
- File clipboard-202411131719-hvzt4.png added
- File clipboard-202411131720-6zc6p.png added
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

1. untuk turn over hingga hari ini mereka masih menunggu feedback dari mereka.
2. untuk color masih ada yang belum sesuai

- Pekerja Berdasarkan Tingkat Pendidikan

s1 = biru tua

s2 = hijau

diploma = kuning

sma = merah

na = oren
Not secure i 1 l # Incognito

= My Master Financial Human Logistic & Business Menu System
o tasya ~
Warkplace Data Accounting Resource Service D inistrati Search Q ° =ya
S Year| 2024 | Month: November v | |EECTEIN
W My Workplace Pekerja Berdasarkan Status Karyawan Pekerja Berdasarkan Tingkat Pendidikan
I Master Data o —
I Financial Accounting = w
I Human Resource
M Logistic & Service zhas
M Statistic
I Menu Development
I System Administration
@ Permanent @ Contract @ Probation SMA @ Diploma @ Strata1 Strata 2 #NA

Tingkat Pendidik: L P  Precenta %) Jurnlah Total
Mo StatusKepegawalan L P Precentage (%) Jumiah Total ng = ecentage (%) Jumiah Tof

SMA 1 0 0.6% 1
1 Permanent 64 J5 T99% 139
Diploma 5 7 69% 12
2 Contract % 12 161% 28
Strata 1 22 16 218% 38
3 Probation 5 2 4.0% 7

kak kok di ss an kk sebelumnya udah sesuai tp di ui aku kok beda yah?

- Pekerja Berdasarkan Rentang Usia
tosca 55 keatas
pink base 51-55

- Pekerja Berdasarkan Sertifikasi
non sertifikat = biru tua
sertifikat = hijau

Pekerja Berdasarkan Sertifikasi

@ Sertifikat Non Sertifikat

No Sertifikat Precentage (%) Jumlah Total

1 Sertifikat 189 % 33
2 Non Sertifikat 811% 142
Total: 175

3. poin ini belum ya kak
3. widget ﬁangkat organisasi, datanya dari karyawan aktif dan payroll group permanent

untuk dashboard semua widget merupakan karyawan aktif dan payroll group permanent

#6 - 12/20/2024 10:15 AM - Regina Tasya

- File Final Turnover.png added

- File clipboard-202412200915-qhbjm.png added
- File clipboard-202412200916-u6hbl.png added

- File clipboard-202412201005-tu41m.png added
- File clipboard-202412201006-a1kdg.png added
- File clipboard-202412201007-jjjsa.png added

- File clipboard-202412201008-eeb81.png added
- File clipboard-202412201008-mq2tt.png added

- Due date set to 12/24/2024

Untuk desain Turn over sebagai berikut :
detail pengambilan data :
1.

Turnowver

vear:[ 2023 | Month: [ Jasary w ) 4 [December v Separch ..
e - o LS A L A

periode perhitungan from tgl awal bulan - tgl akhir bulan (1 s.d 31)

2.

2£8%

Turnaver Rate

turn over rate = Jumlah Karyawan Non Aktif / Average Total Number of Employees x 100%

3.

bulan yang ada di grafik sesuai dengan periode yang dipilih

4.

m Tatal Emplo
Baginning of
170 Employees
total karyawan per 1 januari

5.

g Total Employee Entered
15 Employees

total karyawan masuk sesuai jumlah periode

6.
_a Total Employee Leaving
L]

2 Employees

jumlah karyawan masuk sesuai jumlah periode

7.

Employee Resign Based On Turnover

Employee Name Pasition Organization Effective Date Resign Movement Reason
1 Muhammad Hanif Product Designer Product Development 01 Desember 2024 Mengundurkan Diri
2 Muhammad Surya Abadi Systern Analyst Information Technology 01 Desember 2024 Pensiun Dini
3 Caroline Putri Agnesia Graphic Designer Product Development 01 Desember 2024 Meninggal Dunia
4  Reana Shakira Anumerta Product Designer Product Development 01 Desember 2024 Mengundurkan Diri
5  David Agnes Putra Data Analyst Information Technology 01 Desember 2024 Pensiun Dini
&  Michele Putriani Finanace Manager Data & Information 01 Desember 2024 Pensiun Dini

data dari PHRPA0002
effective date resign diambil dari startdate dimana movement type nya TERminatioN, EMPLOyee statusnya ReSIGN, Beserta MOVEMENT
REASON.

desain full nya di files Final Turnover.png

kak ini recap notes sebelumnya yaa yang masih belum juga dikerjakan:
1. - warna angka -angka persentase di chart ingin berwarna hitam
2. fungsi download untuk di table

#7 - 12/30/2024 01:47 PM - Regina Tasya

- File clipboard-202412301346-zamck.png added
- File clipboard-202412301346-sqjbg.png added
- File clipboard-202412301347-kpswu.png added

catatan yang masih belum sesuai:
1. tanggal belum mengikuti periode ygdipilih

Pekerjaan Berdasarkan Turnover

Turnover

Year:| 2024 w Month:  Janual v |sd|  Jul hd| Search
January 2024 - December 2024 ik i

Turnover Percentage for 2024

0.42857142857142855 %

1.0%
Turnover Rate

0.8%
0.8%
0.4%
0.2%
0.0% .
Jan Feb Mar Apr May Jun Jul
Total Employee leaving
Total Employee at the
Total Empl tered
ﬁ beginning of the year &F HiEEmeRayas Brban &
2. table turn over yang lama belum di take out

3. catatan penyesuain ini juga belum
[ Michele Putriani Finanace Manager Data & Information 01 Desember

data dari PHRPADDOZ
effective date resign diambil dari startdate dimana movement type nya TERminatioN, EMPLOyes statusny:

desain full nya di files Final Turmoverpng

kzk ini recap notes sebelumnya yaa yang masih belum juga dikerjakan:
i. - warnz angka -angka persentase di chart ingin berwarna hitam
2. fungsi download untuk di table

4. Table Sertifikasi Pegawai ingin menampilkan data karyawan yang masih aktif saja

5. kak minta query untuk mengetes semua widget dashboard agar sesuai dengan periode yang dipilih

#8 - 12/31/2024 06:23 AM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear Tasya, semua poin2 revisi sudah di kerjakan ya

1. Update tanggal sesuai filter

2. Table Turnover yang lama sudah di takeout

3. Warna & angka presentase di widget turnover diganti jadi warna hitam
4. fungsi download untuk widget table

UPDATE PACKAGE

Ul = C:\ClientManagement\PERTALIFE\Production\Ul\Pages\HRDASH

SP = Widget_Turnover, Widget_Turnover_Monthly, Widget_Turnover_Stat, Widget_Turnover_Table, Widget_Table_Sertifikat
PCMWFCUSTPARAM = Widget_Turnover, Widget_Turnover_Stat, Widget_Turnover_Table

e Untuk menambahkan fungsi export, perlu ada yg ditambahkan cdn jsPdf ( Extensions ) di site.master Ul, nanti saya aja update
C:\ClientManagement\PERTALIFE\Production\UI\Views\Shared\Site.master

#9 - 12/31/2024 06:24 AM - shofwan shiddiq

- File clipboard-202412310623-rdjac.png added
- File clipboard-202412310623-atnh8.png added
- File clipboard-202412310624-4r9he.png added
- File clipboard-202412310624-v0dcn.png added
- File clipboard-202412310624-rpzu1.png added
Pekerjaan Berdasarkan Turnover

Year: 2024 w Month: January ~ sd September W m

Turnover Percentage for 2024 =

January 2024 - September 2024

0.33 %

Turnover Rate

1.0%

0.8%

0.6%

0.4%

0.2%

0.0%

Total Employee leaving
Total Employee at the
E beginning of the year &I' Total Employee entered &x

192 Employees 17 Employees 6 Employees

= Employee_Resign_Based_On_Turnover (2).pdf 100% +

Employee Name Posi Orga Date Movement Reason

ANGGERIO Customer Service DH Client Service 01 April 2024 Mengundurkan Diri -
DEWANANDITA Staff Pribadi/Keluarga

NATARIA ARISTA Key Account Manager Captive Marketing 01 January Mengundurkan Diri -
SEMBIRING Manager 1 2024 Pribadi/Keluarga

HENDRIA TONI Compliance Officer DH Legal and 04 March 2024 Mengundurkan Diri -
ISTANTO Compliance Pribadi/Keluarga

WIBISONO 11 February Mengundurkan Diri -
2024 Pribadi/Keluarga

HANIF MARAYA DH Investment DH Investment 16 April 2024  Berakhirnya Masa
Research Research Kontrak

YUZRAN Finance and Finance dan 21 June 2024  Berakhirnya Masa
BUSTAMAR Investment Director Investment Director Kontrak
mployee Resign Based On Turnover

Employee Name Position Organization Effective Date Resign Movement Reason
ANGGERIO DEWANANDITA Customer Service Staff DH Client Service 01 April 2024 Mengundurkan Diri - Pribadi/Keluarga
NATARIA ARISTA SEMBIRING Key Account Manager Captive Marketing Manager 1 01 January 2024 Mengundurkan Diri - Pribadi/Keluarga
HENDRIA TONI ISTANTO Compliance Officer DH Legal and Compliance 04 March 2024 Mengundurkan Diri - Pribadi/Keluarga
WIBISOND 11 February 2024 Mengundurkan Diri - Pribadi/Keluarga
HANIF MARAYA DH Investment Research DH Investment Research 16 April 2024 Berakhirnya Masa Kontrak
YUZRAN BUSTAMAR Finance and Investment Director  Finance dan Investment Director 21 June 2024 Berakhirnya Masa Kontrak

Table Sertifikasi Pegawai

No Nama Pegawai Satuan Kerja Nama Sertifikat
1 SUBEKTIYUDIANTO 320 CRM Certified Financial Planner
2 MURSID PRATOMO 30;:5:;?%’:3“ Certified Wealth Manager

440 Cust Engag And

3 UPI PALUPI MEILIASANTI Wakil Manajer Investasi

Service
4 SALAHUDIN 430 HC AND GA Ajun Ahli Asuransi Indonesia sektor Jiwa
5 SALAHUDIN 430 HC AND GA Ajun Ahli Asuransi Kesehatan
[+] SALAHUDIN 430 HC AND GA Wakil Manajer Investasi

440 Cust Engag And

7 1DA FARIDAH Ajun Ahli Asuransi Indonesia sektor Jiwa

Service
8 IDA FARIDAH 440 Cust Engag And Ajun Ahli Asuransi Indonesia sektor Jiwa
Service
530 CORP STRATEGIC . . )
9 ARIF FADILAH GROWTH Wakil Manajer Investasi

#10 - 12/31/2024 10:31 AM - Regina Tasya

- File clipboard-202412311019-urju5.png added

- File clipboard-202412311020-arfqm.png added
- File clipboard-202412311023-8muh7.png added
- File clipboard-202412311024-7tsui.png added

- File clipboard-202412311025-4bbu9.png added
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

sesuai diskusi hari ini adapun catatan yang belum sesuai :
1. warna persentase dihitamkan di semua widget
Pekerja Berdasarkan Status Karyawan

No Status Kepegawalan L P Precentage (%) Jumlah Total

SMA
1 Permanent 64 T BO.B % 135

2 Contract 12 16 16.8 % 28

Strata1

@ Permanent @ Contract @ Probation @sMA

Diploma

1

-]

21

Pekerja Berdasarkan Tingkat Pendidikan

Diploma @ Strata1 @ Strata 2 #NA

TingkatPendidikan L P Precentage (%) JumiahTotal [

i} 0.6 % 1
8 84% 14
16 222% 37

2. belum ada button download di beberapa widget, seharusnya disemua widget di tablenya diberikan download

@ Permanent @ Contract @ Probation @ sMA

Tingkat Pendidika
No Status Kepegawalan Precentage (%) Jumlah Total ng © n
SMA
1 135

L P
Permanent [T BOD.B %

Diploma
2 Contract 122 16 16.8 % 28

R Strata 1
3 Probation 3 1 24% 4

Strata 2
Total: 167

3. untuk table masih ada yang belum berjalan sesuai dengan periode yang dipilih

4. kerapian desain ingin di sejajarkan sesuai diskusi tadi

0.0%

Diploma @ Strata1 @ Strata 2 #NA

P Precentage (%) Jumlah Total

16 222% 37

Jan Feb Mar Apr

May

Jun Jul

Aug

Total Employee at the
* beginning of the year &I' Total Employee entered

Total Employee leaving

[

192 Employees 16 Employees

6 Employees

Employee Resign Based On Turnover
5. bahasa yang digunakan inggris saja, jd seluruh dashboard bahasa inggris

#11 - 12/31/2024 02:43 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Point2 revisi sudah di kerjakan ya

1. warna presentase di semua kolom jadi hitam
2. button download di semua table presentase

07/02/2025
3. semua table sudah update sesuai filter
4. sudah di rapikan widget turnover

silahkan di cek2in

Untuk bahasa inggris boleh di tuliskan revisi2 judul dan kolom2nya jadi bahasa inggris nya apa2 aja.

#12 - 12/31/2024 02:51 PM - Regina Tasya
- File inggris dashboard.docx added
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

daftar yang perlu diganti ke inggris:

#13 - 01/03/2025 10:46 AM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear Tasya, sudah di ubah ya dan sudah di deploy ya di pertalife

#14 - 01/07/2025 02:35 PM - Regina Tasya
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

dear kak shofwan untuk Employees Table Based on Turnover sebelumnya sudah pernah kita didiskusikan bahwa data di table tersebut mengikuti
periode yang ada di turn over, dan data mengikuti total employee leaving. dan terakhir sudah disesuaikan juga.

namun saat ini jika di periode tersebut total employee leavingnya 0. untuk Employees Table Based on Turnover tidak 0, namun mengikuti periode
jumlah employee leaving yg terakhir.

jika employee leavingnya lebih dari 0, sudah sesuai kak di table based on turnovernya

mohon bantuannya untuk case tersebut
terima kasih
terima kasih

#15 - 01/08/2025 10:29 AM - shofwan shiddiq
- File clipboard-202501081028-sts23.png added

- Assignee changed from shofwan shiddiq to Regina Tasya
¥ ‘ (1831) Roundcube W X Bug #3189: Penamb: X & Bapak Heriyas Minova ES | Income = X ¥/ 192.168.100.181:Rey x % Minova ES | HR Dash X @ ChatGPT

<« Cc A\ Notsecure  remote.minovais.com

= My Master Financial Human Logistic & Business Menu system o
Workplace Data Accounting Resource Service i D Search Q . minovais
\ Y T T T
Turnover Year: 2025 w Month:| January v sd| December v w
@ My Workplace January 2025 - December 2025
@ Master Data Tumover Percentage for 2025 =
@ Financial Accounting 0.00 % 5000
Turnover Rate oo
@ Human Resource
B Logistic & Service 4.00%
3.00%
2.00%
B Statistic
1.00% May

@ Menu Development
@ Turnover Percentage: 0.00%
0.00%

B System Administration y T .
Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec

ﬁ ::gai:'\::s?ﬁi:;égf &.‘. Total Employee entered & Total Employee leaving
195 Employees 0 Employees 0 Employees

Employees Table Based on Turnover

10:28 AM
1/8/2025 !

~A @ DY L

Sudah di fix ya bug nya

1. tidak ada tahun 2025
2. Apabila data di filter period kosong, maka table ikut kosong.

Package = C:\ClientManagement\PERTALIFE\Production\UI\Pages\HRDASH.html

#16 - 01/08/2025 03:54 PM - Regina Tasya
- Status changed from Assigned to Deploy

oke kak sudah sesuai dan sudah di dev dan prod
terimakasih

#17 - 01/20/2025 09:37 AM - Regina Tasya
- Status changed from Deploy to Closed

Files

List CR (1).xlsx 32.8 KB 11/04/2024 Regina Tasya
Brand Guideline PERTALIFE INSURANCE-1.pdf 11.5 MB 11/04/2024 Regina Tasya
PERTALIFE Warna Pie Chart (1).pdf 60 KB 11/04/2024 Regina Tasya
clipboard-202411112232-kpkkm.png 192 KB 11/11/2024 shofwan shiddiq
clipboard-202411131717-ccj9t.png 116 KB 11/13/2024 Regina Tasya
clipboard-202411131718-ohlnh.png 28.9 KB 11/13/2024 Regina Tasya
clipboard-202411131719-hvzt4.png 6.47 KB 11/13/2024 Regina Tasya
clipboard-202411131720-6zc6p.png 4.51 KB 11/13/2024 Regina Tasya
Final Turnover.png 204 KB 12/20/2024 Regina Tasya
clipboard-202412200915-ghbjm.png 8.64 KB 12/20/2024 Regina Tasya
clipboard-202412200916-u6hbl.png 4.42 KB 12/20/2024 Regina Tasya
clipboard-202412201005-tu41m.png 10.3 KB 12/20/2024 Regina Tasya
clipboard-202412201006-a1kdg.png 7.15 KB 12/20/2024 Regina Tasya
clipboard-202412201007-jjjsa.png 5.53 KB 12/20/2024 Regina Tasya
clipboard-202412201008-eeb81.png 5.62 KB 12/20/2024 Regina Tasya
clipboard-202412201008-mq2tt.png 82.1 KB 12/20/2024 Regina Tasya
clipboard-202412301346-zamck.png 17.3 KB 12/30/2024 Regina Tasya
clipboard-202412301346-sqjbg.png
clipboard-202412301347-kpswu.png
clipboard-202412310623-rdjac.png
clipboard-202412310623-atnh8.png
clipboard-202412310624-4r9he.png
clipboard-202412310624-v0dcn.png
clipboard-202412310624-rpzui.png
clipboard-202412311019-urju5.png
clipboard-202412311020-arfgm.png
clipboard-202412311023-8muh7.png
clipboard-202412311024-7tsui.png
clipboard-202412311025-4bbu9.png
inggris dashboard.docx
clipboard-202501081028-sts23.png
17.3 KB
400 KB
61.5 KB
67.8 KB
